Subject: Re: bug#35967: [PATCH] avoid flyspell error if point is at bob

From: [email-masked]
Date: Tue, 11 Jun 2019 10:12:12 -0400

Eli Zaretskii <[email-masked]> writes:

>> +  (unless (bobp)
>> +    (let ((f (get-text-property (- (point) 1) 'face)))
>> +      (memq f flyspell-prog-text-faces))))
>
> Thanks.
>
> Maybe it's just me, but whenever I see bobp, I always have to consult
> the docs regarding what happens in a narrowed buffer.  For that
> reason, I prefer comparison with point-min instead.
>
> Am I the only one troubled by that?

It doesn't take too long to check the docstring, does it?  And it seems
fairly easy to remember that bobp should treat a narrowed buffer the
same way that beginning-of-buffer will.

My only complaint about bobp is that it's abbreviated perhaps a little
too far, to the point of obscurity.  As in, who is "bob" and why are we
asking about him?